package com.ssj.service.weixin.card.service;

import com.ssj.bean.weixin.card.domain.LibCardInfo;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Map;


public interface ILibMainCardService extends BaseService<LibCardInfo, String> {

	LibCardInfo findByCardId(String cardId);

	Page<Map<String, Object>> findForCardPage(Map<String, Object> params, Pageable initPage);

	void updateCardStat(String cardType, String stat);
	
	LibCardInfo findByCardTypeAndStat(String cardType,String stat); //只限于会员卡(会员卡有效的只有一张)


}
